=== debian/changelog ===
maas (1.3+bzr1461+dfsg-0ubuntu2) raring; urgency=low

  * debian/patches/99-fix-maas-fpi.patch: Update to correctly reflect
    correct install path.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 19 Apr 2013 09:41:18 -0700

maas (1.3+bzr1461+dfsg-0ubuntu1) raring; urgency=low

  * This is a new upstream bugfixs releases only. It includes:
    - Fix detection of non-existant ipmi device in nested kvm (LP: #1064527)
    - Fix IPMI User creation. (LP: #1119696)
    - Assign nodes to the correct nodegroup. (LP: #1148016)
    - Fix to provide useful error reporting for power management (LP: #1155175)

  [ Chris Van Hook ]
  * debian/patches/99-fix-ipmi-stat-lp1086160.patch: Fix ipmi power command
    to correctly use --stat. (LP: #1086160)

  [ Steve Langasek ]
  * Add missing dependency on iproute to maas-region-controller, for use of
    /sbin/ip in postinst.

  [ Andres Rodriguez ]
  * debian/patches/99-fix-maas-fpi.patch: Fix FPI, otherwise nodes have the
    risk of not being installed at all.
  * debian/control: Depends on apache2 for maas-cluster-controller
  * debian/maas-cluster-controller.install: Install maas-cluster-http.conf
  * debian/maas-cluster-controller.{postinst,postrm}: Handle symlink and
    removal of maas-cluster-http.conf.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 20 Mar 2013 13:08:04 -0400

maas (1.3+bzr1455+dfsg-0ubuntu1) raring; urgency=low

  * New upstream bugfix release.
    - Fixes and returns the 'resource_url' with the 'canonical' url for
      a file that is fetched using the API (LP: #1154142)

  [ Andres Rodriguez ]
  * debian/control:
    - Change Conflicts/Replaces for Breaks/Replaces.
    - Conflicts on tftpd-hpa and dnsmasq.
    - Do not pre-depends, but Depends on ${misc:Depends} for 'maas'.

  [ Steve Langasek ]
  * postinst scripts are never called with 'reconfigure' as the script
    argument.  Remove references to this (mythical) invocation.
  * always call 'set -e' from maintainer scripts instead of passing 'sh -e'
    as the interpreter, so that scripts will behave correctly when run via
    'sh -x'.
  * invoke-rc.d is never allowed to not exist - simplify scripts (and make
    them better policy-compliant) by invoking unconditionally.  (The only
    possible exception is in the postrm, where it's *theoretically* possible
    for invoke-rc.d to be missing if the user has completely stripped
    down their system; that's a fairly unreasonable corner case, but we
    might as well be correct if it ever happens.)
  * db_get+db_set is a no-op; don't call db_set to push back a value we just
    got from db_get.
  * Omit superfluous calls to 'exit 0' at the end of each script.
  * Remove maas-cluster-controller prerm script, which called debconf for no
    reason.
  * Don't invoke debconf in the postrm script either, debhelper already does
    this for us.
  * Other miscellaneous maintainer script fixes
  * debian/maas-common.postinst: call adduser and addgroup unconditionally;
    the tools are already designed to DTRT, we don't need to check for the
    user/group existence before calling them nor should we worry about
    calling them only once on first install.
  * debian/maas-common.postrm: delete the maas group, not just the user,
    as the comment in the code implies we should do.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 19 Mar 2013 15:38:22 -0400

maas (1.3+bzr1452+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release.
    - MAAS file storage mechanism is shifting from a single shared
      namespace to a per-user namespace. Operators of the majority
      of MAAS systems will not notice any change. However, operators
      of the most complex installations may find that a new
      "shared-environment" user is created, and that some resources
      are reassigned to it, such as API credentials and SSH public
      keys. This provides a transitional environment that mimics the
      behaviour of a shared namespace.

  [ Raphaël Badin ]
  * debian/control: maas-region-controller depends on bind9utils.
    (LP: #1103195)
  * debian/maas-dns.postinst: Call write_dns_config.
    (LP: #1085865).
  * debian/maas-cluster-controller.postinst: Fix the name of the config
    file (/etc/maas/pserv.yaml and not /etc/maas/pserv.conf)
    (LP: #1083542).
  * debian/extras/99-maas-sudoers: Add 'SETENV:' to sudo rule
    to allow preserving the environment when running
    /usr/sbin/maas-import-pxe-files via sudo.
  * debian/maas-dns.postinst: fix permissions and group ownership of
    file /etc/bind/maas/named.conf.rndc.maas. (LP: #1066935)
  * debian/control: Remove the dependency of maas-cluster-controller
    on rabbitmq-server. (LP: #1072744)
  * debian/extras/99-maas-sudoers: Add sudo rule for script
    /usr/sbin/maas-import-pxe-files.
  * debian/maas-cluster-controller.install: Removed commissioning-user-data
    script.

  [ Julian Edwards ]
  * debian/maas-region-controller.install: Remove installation of maas-gc; it
    is no longer required as upstream no longer stores files in the filesystem.
    (LP: #1069734)
  * debian/maas-cluster-controller.postinst: Ensure that /etc/maas/pserv.yaml
    is updated when reconfiguring. (LP: #1081212)

  [ Jeroen Vermeulen ]
  * debian/maas-cluster-controller.install: Install import scripts.
  * debian/maas-cluster-controller.postinst: Configure tgt (the iSCSI server)
    so the import script can install files to it.
  * debian/maas-cluster-controller.postrm: Clean up tgt config.
  * debian/maas-region-controller.install: Move import scripts out to the
    cluster controller, and drop the maas-import-isos compatibility script.
  * debian/maas-region-controller.postinst: Remove tgt config.
  * debian/maas-region-controller.postrm: Remove tgt config cleanup.
  * Bump code revision to include latest user_data.template fixes.

  [ Gavin Panella ]
  * debian/extras/99-maas: squashfs image download is no longer needed.

