=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.1.0~),
               dh-apport,
               po-debconf,
               python (>= 2.7),
               python-distribute,
               python-django
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: ${misc:Depends}, maas-cluster-controller, maas-region-controller, python-django-maas
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package is a metapackage which installs a complete MAAS
 service on a single machine.

Package: maas-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains common files

Package: maas-region-controller
Architecture: all
Depends: apache2,
         avahi-daemon,
         bind9utils,
         dbconfig-common,
         iproute,
         libapache2-mod-wsgi,
         libjs-raphael,
         libjs-yui3-full,
         libjs-yui3-min,
         maas-common (= ${binary:Version}),
         postgresql-9.1,
         pwgen,
         python-django,
         python-django-maas (= ${binary:Version}),
         python-django-piston,
         python-django-south,
         python-maas-provisioningserver (= ${binary:Version}),
         rabbitmq-server,
         rsyslog,
         squid-deb-proxy,
         ${misc:Depends},
         ${python:Depends}
Recommends: openssh-server
Suggests: maas-dns
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package installs the region controller services: the web
 UI and the database.

Package: python-maas-provisioningserver
Section: python
Architecture: all
Depends: python-celery,
         python-formencode,
         python-lockfile,
         python-lxml,
         python-maas-client,
         python-netifaces,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-pyparsing,
         python-tempita,
         python-twisted-core,
         python-twisted-web,
         python-txamqp,
         python-txtftp,
         python-yaml,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Breaks: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
Description: Ubuntu MAAS Server
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the provisioning server libraries.

Package: maas-cli
Architecture: all
Depends: python-bzrlib,
         python-httplib2,
         python-maas-client (= ${binary:Version}),
         python-oauth,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Client Tool
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the client command line tool.

Package: python-maas-client
Section: python
Architecture: all
Depends: python-oauth, ${misc:Depends}, ${python:Depends}
Breaks: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Replaces: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Description: Ubuntu MAAS API Client - (python files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the client API Python modules.

Package: maas-cluster-controller
Architecture: all
Depends: apache2,
         bind9utils,
         distro-info,
         freeipmi-tools,
         maas-cli (=${binary:Version}),
         maas-common (=${binary:Version}),
         python-celery,
         python-httplib2,
         python-lockfile,
         python-maas-provisioningserver (=${binary:Version}),
         python-netaddr,
         python-oauth,
         python-tempita,
         python-twisted,
         python-zope.interface,
         rsyslog,
         syslinux-common,
         tgt,
         uuid-runtime,
         wget,
         ${misc:Depends},
         ${python:Depends}
Suggests: maas-dhcp (= ${binary:Version})
Conflicts: tftpd-hpa
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
Description: Ubuntu MAAS Cluster Controller
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the cluster controller, which is
 responsible for controlling remote DHCP/TFTP instances on their
 own subnets.

Package: python-django-maas
Section: python
Architecture: all
Depends: python-avahi,
         python-celery,
         python-convoy,
         python-dbus,
         python-lockfile,
         python-lxml,
         python-maas-client (= ${binary:Version}),
         python-netaddr,
         python-oops,
         python-oops-amqp,
         python-oops-datedir-repo,
         python-oops-twisted,
         python-oops-wsgi,
         python-psycopg2,
         python-sphinx,
         python-tempita,
         python-twisted,
         python-txamqp,
         python-txlongpoll,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Description: Ubuntu MAAS Server - (django files)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package contains the Django files.

Package: maas-dhcp
Architecture: all
Depends: isc-dhcp-server, ${misc:Depends}
Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: Ubuntu MAAS Server - DHCP Configuration (meta-package)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DHCP that can be used with MAAS.

Package: maas-dns
Architecture: all
Depends: bind9,
 maas-region-controller (= ${binary:Version}),
 maas-dhcp (= ${binary:Version}),
 ${misc:Depends}
Conflicts: dnsmasq
Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: Ubuntu MAAS Server - DNS configuration (metapackage)
 Ubuntu MAAS Server is the successor to Orchestra. It offers a
 nice UI to provision your Ubuntu servers. Each physical server
 (“node”) will be commissioned automatically on first boot.
 During the commissioning process administrators are able to
 configure hardware settings manually before an automated smoke
 test and burn-in test are done. Once commissioned, a node can
 be deployed on demand by name, or allocated to a queue for
 dynamic allocation to services being deployed on this MAAS.
 .
 This package configures a DNS that can be used with MAAS.
