=== debian/changelog ===
maas (1.4+bzr1693+dfsg-0ubuntu2) saucy; urgency=low

  * debian/patches:
    - 99_fix_wsgi_app_group_lp1237463.patch: Import wsgi into the %{GLOBAL}
      application group, to avoid bson encoding issues. (LP: #1237463)
    - 99_ephemeral_backward_compat_lp1238376.patch: Maintain import_ephemerals
      config compatibility to allow maas-import-ephemerals to inherit the
      config used for maas-import-pxe-files, otherwise it will always download
      all releases even when set to a particular one. (LP: #1238376)
    - 99_split_config_arch_rel_lp1238681.patch: arches/releases are a list
      of characters that need to be split. (LP: #1238681)
    - 99_handle_ephemeral_archs_correctly.patch: Allow maas-import-ephemerals
      to use arches correctly coming from the legacy config (LP: #1240215)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 14 Oct 2013 13:10:21 -0400

maas (1.4+bzr1693+dfsg-0ubuntu1) saucy; urgency=low

  * New Upstream Release (LP: #1218526)
    - This new upstream release contains fixes and improvements of the
      features approved by the FFe above.
    - Fixes commissioning failure on Saucy with 'Failed Test' (LP: #1237364)
    - Fixes access of static images over http  (LP: #1236544)
  * d/maas-cluster-controller.postinst: a2enmod version module (LP: #1236544)
  * d/control: Bump depends on python-django to 1.4. (LP: #1236572)
  * d/maas-dhcp.postinst: Fail gracefully if apparmor_parser fails, allowing
    to install maas-dhcp during an ISO install. (LP: #1236786)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 04 Oct 2013 12:33:05 -0400

maas (1.4+bzr1656+dfsg-0ubuntu2) saucy; urgency=low

  * debian/control: Recommends on maas-dns instead of Depends for region
    because maas-dns needs the region installed first.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 03 Oct 2013 10:36:20 -0400

maas (1.4+bzr1656+dfsg-0ubuntu1) saucy; urgency=low

  [ Andres Rodriguez ]
  * New upstream bugfix release.
    - Respect filters for ephemerals_script.py.
  * debian/control: Depends on ubuntu-cloudimage-keyring instead of
    ubuntu-cloud-keyring; depends on python-distro-info.
  * debian/control: Remove suggests on maas-dhcp and maas-dns as they are
    now dependencies.

  [ Scott Moser ]
  * debian/control: Bump depends on isc-dhcp-server to 4.2.4
  * debian/maas-dhcp.maas-dhcp-server.upstart: Change ownership of leases
    file to root:root, and run the daemon as dhcpd:dhcpd.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 01 Oct 2013 15:26:34 -0400

maas (1.4+bzr1655+dfsg-0ubuntu1) saucy; urgency=low

  * New Upstream release. (LP: #1218526)
  * debian/control:
    - Depends on python-djorm-ext-pgarray, python-curtin,
      python-simplestreams, ubuntu-cloud-keyring.
    - Depends on maas-dns, maas-dhcp to get them seeded and
      into main (LP: #1227353)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 28 Aug 2013 11:17:44 -0400

maas (1.4+bzr1551+dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 15 Aug 2013 16:20:41 -0400

maas (1.4+bzr1548+dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Jul 2013 10:15:10 -0400

maas (1.4+bzr1539+dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Symlink apache2 config into /etc/apache2/conf-enabled/ instead of
    /etc/apache2/conf.d as apache2.4 no longer supports the latter.
    - debian/maas-cluster-controller.{postinst,postrm}
    - debian/maas-region-controller.{postinst,postrm}
  * debian/control: Bump Standards-Version to 3.9.4.
  * debian/maas-cluster-controller.lintian-overrides: Remove unneeded
    override and add a new one.
  * debian/maas-region-controller.lintian-overrides: Add extra overrides.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 03 Jul 2013 17:11:02 -0400

maas (1.4+bzr1538+dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/patches/04-setup-dont-user-list-snippets.patch: Drop. Merged
    Upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 13 Jun 2013 20:06:35 -0400

maas (1.4+bzr1527+dfsg-0ubuntu1) saucy; urgency=low

  * debian/patches/04-setup-dont-user-list-snippets.patch: Drop importing
    maasserver modules to list snippets in favor to using glob. Otherwise
    we would have to add various non necessary Build-Dependencies.

  [ Jeroen Vermeulen ]
  * Install templates into /etc/maas/templates/.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 03 Jun 2013 17:59:31 -0400

maas (1.4+bzr1505+dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release

  [ Steve Langasek ]
  * Add missing dependency on iproute to maas-region-controller, for use of
    /sbin/ip in postinst.

  [ Julian Edwards ]
  * debian/maas-dhcp.maas-dhcp-server.upstart:
    - Detect 12.04 as the host OS and install with correct permissions. This
      allows the same packaging to be used in the 12.04 backport.

  [ Andres Rodriguez ]
  * Update packaging to support FPI:
    - debian/control: Depends on apache2 for maas-cluster-controller.
    - debian/maas-cluster-controller.install: Install http config file.
    - debian/maas-cluster-controller.{postinst,postrm}: Handle symlink creation
      and deletion.
  * debian/maas-region-controller.install: Install preseeds in
    etc/maas/preseeds. (LP: #1073463)

  [ Jeroen Vermeulen ]
  * In the source tree, /etc/maas/pserv.yaml has moved from etc/ to etc/maas/.
  * Install templates into /etc/maas/templates/.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 03 Jun 2013 16:53:14 -0400
