=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python (>= 2.7),
                python-distribute,
                python-django
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: https://launchpad.net/maas
 
@@ -59,18 +59,18 @@
          maas-common (= ${binary:Version}),
          postgresql-9.1,
          pwgen,
-         python-django,
+         python-django (>= 1.4),
          python-django-maas (= ${binary:Version}),
          python-django-piston,
          python-django-south,
          python-maas-provisioningserver (= ${binary:Version}),
+         python-djorm-ext-pgarray,
          rabbitmq-server,
          rsyslog,
          squid-deb-proxy,
          ${misc:Depends},
          ${python:Depends}
-Recommends: openssh-server
-Suggests: maas-dns
+Recommends: openssh-server, maas-dns (= ${binary:Version})
 Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Description: Ubuntu MAAS Server
@@ -90,6 +90,7 @@
 Section: python
 Architecture: all
 Depends: python-celery,
+         python-distro-info,
          python-formencode,
          python-lockfile,
          python-lxml,
@@ -100,6 +101,7 @@
          python-oops-datedir-repo,
          python-oops-twisted,
          python-pyparsing,
+         python-simplestreams,
          python-tempita,
          python-twisted-core,
          python-twisted-web,
@@ -169,6 +171,7 @@
          freeipmi-tools,
          maas-cli (=${binary:Version}),
          maas-common (=${binary:Version}),
+         maas-dhcp (=${binary:Version}),
          python-celery,
          python-httplib2,
          python-lockfile,
@@ -181,11 +184,11 @@
          rsyslog,
          syslinux-common,
          tgt,
+         ubuntu-cloudimage-keyring,
          uuid-runtime,
          wget,
          ${misc:Depends},
          ${python:Depends}
-Suggests: maas-dhcp (= ${binary:Version})
 Conflicts: tftpd-hpa
 Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
@@ -209,6 +212,7 @@
 Depends: python-avahi,
          python-celery,
          python-convoy,
+         python-curtin,
          python-dbus,
          python-lockfile,
          python-lxml,
@@ -242,7 +246,7 @@
 
 Package: maas-dhcp
 Architecture: all
-Depends: isc-dhcp-server, ${misc:Depends}
+Depends: isc-dhcp-server (>= 4.2.4), ${misc:Depends}
 Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Description: Ubuntu MAAS Server - DHCP Configuration (meta-package)
